Recommended System Requirements

School Year 2016-2017 System Requirements

The following requirements ensure an optimal user experience with PGLMS. Courseware may run on lower specifications, but the user experience may be impacted. Please contact our Client Support team by emailing or your sales representative with specific questions.

If using a third-party LMS, Middlebury Interactive’s system requirements must be met as well as those of the chosen LMS in order for courses to load/function correctly. Clients are advised to contact their LMS provider for specifications.


Given the video and audio components in Middlebury Interactive’s courses, sufficient bandwidth is a crucial requirement for course functionality. Factors that have a direct impact on online course performance due to bandwidth include, but are not limited to: type of course in use, internal networking infrastructure and simultaneous use and home network capacity. Middlebury Interactive’s minimum bandwidth requirements are:

  • School: 20Mbps (50-100 Mbps recommended) download speed, 3Mbps upload speed
  • Home User: 3Mbps (5Mbps recommended) download speed, 512 kbps upload speed

A free bandwidth test is available at to assess your computer’s download and upload speeds. Please contact your sales representative if your school falls below these minimum requirements.


Middlebury Interactive recommends that schools access courses through the Google Chrome browser. The minimum supported versions of compatible browsers are:

  • Google Chrome 46
  • Mozilla Firefox 42*
  • Safari 5.0
  • Internet Explorer 9
  • Edge

* Users of Mozilla Firefox alongside Windows 10 are required to have Flash version 21 or higher installed.


Middlebury Interactive has LTI 1.1 compatible course packages that can be used in the following Learning Management Systems for SY 16-17. We will require these minimum versions or higher:

  • Blackboard Learn Version 9.1 SP 10 Release Date 11.5.2012
  • Moodle Version 2.4 Release Date 12.3.2012
  • Canvas Version 5/05/2012
  • BrainHoney/Buzz Version 2012.1 Release Date 6.13.2012
  • Brightspace (Desire2Learn) Version 10.4.11 Release Date 05.15


Middlebury Interactive supports Netbooks and Chromebooks for direct access to CAP ONLY. If using a third-party LMS, please confirm that they support the use of Netbooks and Chromebooks as well.

* Currently, Chromebook computers are not compatible with Middlebury Chinese courses.


As of the Fall of SY16-17, the following elementary courses will be supported on the iPad through our iOS app:

  • K-2 Spanish 1, French 1 and Chinese 1
  • 3-5 Spanish 1 & 2, French 1, Chinese 1 and German 1

Middlebury Interactive customers can also access our courses for grades 6-12 on an iPad, but for these grade levels, we recommend that the iPad only be used as a secondary means of accessing our courses.

iPad users must access their courses directly from CAP platform via our iOS application, as audio recording and other functionality may not work properly through any web browsers.

Please contact your sales representative or client services manager for detailed information about Middlebury Interactive’s iOS app.


Middlebury Interactive courses are not currently supported on Android devices.

Microphones and Headsets:

For classroom implementations, Middlebury Interactive recommends that students use headsets and external microphones (as opposed to a built-in computer microphone). Courses feature activities with recording exercises, and external microphones have been found to have clearer recordings.

PC Requirements:

  • 2.33GHz or faster x86-compatible processor
  • Windows 7, Windows 8, Windows 10
  • 2 GB RAM
  • Display setting 1280x1024 resolution or above; lower resolutions may require scrolling
  • 128MB Graphics Memory & Sound card
  • Adobe Flash Player plug-in 10.1+ (Go to
  • Cookies enabled
  • JavaScript enabled

Macintosh (Mac) Requirements:

  • Intel Core™ Duo 1.33GHz or above
  • Mac OS X v10.7 or higher
  • 2 GB RAM
  • Display setting 1280x1024 resolution or above; lower resolutions may require scrolling
  • 128MB Graphics Memory & Sound card
  • Adobe Flash Player plug-in 10.1+ (Go to
  • Cookies enabled
  • JavaScript enabled